#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

class MainWindow(wx.Frame):
    """Ablak a Box sizer bemutatásához. """

    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, size=(300, 150))

        # A grid sizer létrehozása
        sizer = wx.BoxSizer(wx.VERTICAL)

        # A panelek definíciója
        haut    = PanelColore(self, wx.ID_ANY, "Felső panel", "red");
        milieu = PanelColore(self, wx.ID_ANY, "Középső panel", "coral");
        bas     = PanelColore(self, wx.ID_ANY, "Alsó panel", "lime green");

        # Gombok hozzáadása a sizer-hez
        sizer.Add(haut,    proportion=0, flag=wx.EXPAND)
        """ Az arány 1 azért, hogy  ez a widget elfoglalja az egész üres területet"""
        sizer.Add(milieu, proportion=1, flag=wx.EXPAND)
        sizer.Add(bas,     proportion=0, flag=wx.EXPAND)

        # a sizer-t a frame-hez kapcsolja
        self.SetSizer(sizer)

        # beállítja a sizer méretét
        self.Fit()

        # az ablak megjelenítése
        self.Show(True)

class PanelColore (wx.Panel):
    """ Panel háttérszínnel annak érdekében, hogy jól 
        megkülönböztethessük a sizer-ek különböző beállításait.
    """
    def __init__(self, parent, ID=wx.ID_ANY, label="", color="white",
                 pos=wx.DefaultPosition, size=(100, 30)):
        wx.Panel.__init__(self, parent, ID, pos, size, name=label)

        self.label=label
        self.SetBackgroundColour(color);
        self.SetMinSize(size)
        self.Bind(wx.EVT_PAINT, self.OnPaint)

    def OnPaint(self, event):
        size = self.GetSize() # panel méretének kinyerése
        dc = wx.PaintDC(self) # a grafikus kontextus kinyerése (DC = Device
                              # Context)
        # a szélesség és a magasság kinyerése, amit a kiírandó szöveg fog felvenni
        w,h = dc.GetTextExtent(self.label)
        # a szöveg kirajzolása a panel közepére
        dc.DrawText(self.label, (size.width-w)/2, (size.height-h)/2)

class MainApp(wx.App):
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('GridSizer')
        self.SetTopWindow(frame)
        return True

if __name__ == "__main__":
    app = MainApp(redirect=False) # Arra való, hogy a standard kimeneti stream-et
                                  # ne a grafikus ablakba irányítsuk
                                  # (debug-oláshoz hasznos)
    app.MainLoop()

