#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

# A gombok neveinek listája
labels   = "un deux trois quatre cinq six sept huit neuf dix onze douze".split()
couleurs = ["red", "gray", "sky blue"]

class MainWindow(wx.Frame):
    """Ablak a Flex Grid sizer bemutatásához. """

    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, title=title, size=(300, 120))

        # A grid sizer létrehozása
        sizer = wx.FlexGridSizer(rows=4, cols=3, hgap=2, vgap=2)
        i=0
        # panelek létrehozása és hozzáadása a sizer-hez
        for label in labels:
            panel = PanelColore(self, wx.ID_ANY, label, couleurs[i%len(couleurs)]);
            sizer.Add(panel, 0, wx.EXPAND) # wx.EXPAND lehetővé mteszi a panel
                                           # méretének változtatását
            i=i+1

        sizer.AddGrowableCol(2) # a 3. oszlopot méretváltoztatóvá teszi
        sizer.AddGrowableRow(1) # a 2. sort méretváltoztatóvá teszi
        sizer.AddGrowableRow(3) # a 4. sort méretváltoztatóvá teszi

        # a sizer-t a frame-hez kapcsolja
        self.SetSizer(sizer)
        # beállítja a sizer méretét
        self.Fit()
        # az ablak minimális méretének definiálása
        self.SetMinSize((300, 120))
        # az ablak megjelenítése
        self.Show(True)

class PanelColore (wx.Panel):
    """ Panel háttérszínnel annak érdekében, hogy jól 
        megkülönböztethessük a sizer-ek különböző beállításait.
    """
    def __init__(self, parent, ID=wx.ID_ANY, label="", color="white",
pos=wx.DefaultPosition, size=(100, 30)):

        wx.Panel.__init__(self, parent, ID, pos, size, name=label)
        self.label=label
        self.SetBackgroundColour(color);
        self.SetMinSize(size)
        self.Bind(wx.EVT_PAINT, self.OnPaint)

    def OnPaint(self, event):
        size = self.GetSize() # panel méretének kinyerése
        dc = wx.PaintDC(self) # a grafikus kontextus kinyerése
                              # (DC = Device Context)
        # a szélesség és a magasság kinyerése, amit a kiírandó szöveg fog felvenni
        w,h = dc.GetTextExtent(self.label)
        # a szöveg kirajzolása a panelbe
        dc.DrawText(self.label, (size.width-w)/2, (size.height-h)/2)

class MainApp(wx.App):
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('FlexGridSizer')
        self.SetTopWindow(frame)
        return True

if __name__ == "__main__":
    app = MainApp(redirect=False) # Arra való, hogy a standard kimeneti stream-et
                                  # ne a grafikus ablakba irányítsuk
                                  # (debug-oláshoz hasznos)
    app.MainLoop()

