#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

class MainApp(wx.App):
    """ A wxPython által felkínált application class-ból leszármaztatott
        alkalmazás generálása.
        Figyelem: A "constructor" egy kicsit speciális !"""
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('Hello World !')
        self.SetTopWindow(frame)
        return True

class MainWindow(wx.Frame):
    """ Egy - az alkalmazásunkra adaptált ablak generálása. A wxPython által felkínált alap ablak-class
        Ezért származtattuk le az ablakunkat a wxPython által felkínált alap ablak-class-ból... """
    def __init__(self, title):
        """
            Itt változás van. A frame méretét és a stílusát adjuk meg.
            A kifejezés azt jelenti, hogy használjuk az alapértelmezett
            ablakstílust és abból vegyük ki (^ operátor) az ablak átméretezésének
            lehetőségét és a címsor három gombját.
            Cette expression dit d'utiliser le style par défaut des fenêtres
            et de retirer (opérateur ^) la possibilité de redimensionner la
            fenêtre ainsi que les trois boutons de la barre de titre
        """
        wx.Frame.__init__(self, None, wx.ID_ANY, title, size=(300, 100),
                          style=wx.DEFAULT_FRAME_STYLE ^ ( wx.RESIZE_BORDER |
                                                           wx.MINIMIZE_BOX |
                                                           wx.MAXIMIZE_BOX |
                                                           wx.CLOSE_BOX) )
        # Egy widget-konténert teszünk a frame-be
        panel = wx.Panel(self, wx.ID_ANY)
        # Egy gombot teszünk a konténerbe egy kiválasztott pozícióba
        self.button = wx.Button(panel, wx.ID_ANY, "Good bye !", pos=(100, 30))
        # A button objektum EVT_BUTTON eseményéhez hozzárendeljük az OnClick metódust
        self.Bind(wx.EVT_BUTTON, self.OnClick, self.button)
        self.Show(True)
    def OnClick(self, event):
        #wx.Exit()
        self.Close()

if __name__ == "__main__":
    app = MainApp()
    app.MainLoop()

