#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

# A gombok neveinek listája
couleurs = ["red", "gray"]
# A gombok neveinek listája
labels   = "un deux trois quatre cinq six".split()

class MainWindow(wx.Frame):
    """Ablak a Grid Bag sizer bemutatásához. """

    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, size=(400, 120))

        # A grid bag sizer létrehozása
        sizer = wx.GridBagSizer(hgap=2, vgap=2)

        # 6 panel létrehozása és a sizer-hez kapcsolásuk
        for colonne in [0, 1]:
            for ligne in range(3):
                panel = PanelColore(self, wx.ID_ANY, labels[colonne + ligne*2],
                                    couleurs[colonne]);
                sizer.Add(panel, pos=(ligne, colonne))

        # Annak a panelnek a hozzáadása, ami az egész 3. oszlopra lesz pozícionálva
        panel = PanelColore(self, wx.ID_ANY, "4 sor egyesítése", "sky blue");
        sizer.Add(panel, pos=(0, 2), span=(4,1), flag=wx.EXPAND)

        # Annak a panelnek a hozzáadása, ami az első sor első 2 oszlopára
        # lesz pozícionálva
        panel = PanelColore(self, wx.ID_ANY, "2 oszlop egyesítése", "gold");
        sizer.Add(panel, pos=(3, 0), span=(1,2), flag=wx.EXPAND)
        sizer.AddGrowableCol(2) # a 3. oszlopot méretváltoztatóvá teszi
        sizer.AddGrowableRow(3) # a 4. sort méretváltoztatóvá teszi

        # a sizer-t a frame-hez kapcsolja
        self.SetSizer(sizer)

        # beállítja a sizer méretét
        sizer.Fit(self)

        # az ablak megjelenítése
        self.Show(True)

class PanelColore (wx.Panel):
    """ Panel háttérszínnel annak érdekében, hogy jól 
        megkülönböztethessük a sizer-ek különböző beállításait.
    """
    def __init__(self, parent, ID=wx.ID_ANY, label="", color="white",
                 pos=wx.DefaultPosition, size=(100, 30)):

        wx.Panel.__init__(self, parent, ID, pos, size, name=label)
        self.label=label
        self.SetBackgroundColour(color);
        self.SetMinSize(size)
        self.Bind(wx.EVT_PAINT, self.OnPaint)

    def OnPaint(self, event):
        size = self.GetSize() # panel méretének kinyerése
        dc = wx.PaintDC(self) # a grafikus kontextus kinyerése
                              # (DC = Device Context)
        # a szélesség és a magasság kinyerése, amit a kiírandó szöveg fog felvenni
        w,h = dc.GetTextExtent(self.label)
        # a szöveg kirajzolása a panel közepére
        dc.DrawText(self.label, (size.width-w)/2, (size.height-h)/2)

class MainApp(wx.App):
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('Grid Bag Sizer')
        self.SetTopWindow(frame)
        return True

if __name__ == "__main__":
    app = MainApp(redirect=False)
    app.MainLoop()

