#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

# A gombok neveinek listája
labels = "un deux trois quatre cinq six sept huit neuf".split()

class MainApp(wx.App):
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('GridSizer')
        self.SetTopWindow(frame)
        return True

class MainWindow(wx.Frame):
    """Ablak a Grid sizer bemutatásához. """

    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, title=title, size=(300, 150))

        # Egy panel létrehozása
        self.panel = wx.Panel(self);

        # A grid sizer létrehozása
        self.sizer = wx.GridSizer(rows=3, cols=3, hgap=2, vgap=2)

        # Gombok létrehozása és hozzáadása a sizer-hez
        for label in labels:
            # Ebben a példában semmilyen akciót sem rendelünk a gombokhoz.
            btn = wx.Button(self.panel, wx.ID_ANY, label);
            self.sizer.Add(btn, 0, 0)

        # A sizer-t a panelhez kapcsoljuk
        self.panel.SetSizer(self.sizer)
        # Beállítja a sizer méretét
        self.sizer.Fit(self)
        # Az ablak minimális méretének definiálása
        self.SetMinSize((300, 150))

        # Az ablak megjelenítése
        self.Show(True)

if __name__ == "__main__":
    app = MainApp(redirect=False) # Arra való, hogy a standard kimeneti stream-et
                                  # ne a grafikus ablakba irányítsuk
                                  # (debug-oláshoz hasznos)
    app.MainLoop()

