#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

class Fenetre(wx.Frame):
    """ Ablak, amiben bemutatjuk a rajzot és a képek betöltését """
    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, title, size=(100, 300))
        panel = wx.Panel(self)
        sizer = wx.GridBagSizer(5,5)

        # Képek betöltése
        imgPommes = wx.Image("pomme.jpg", wx.BITMAP_TYPE_JPEG)
        imgAbricots = wx.Image("abricot.png", wx.BITMAP_TYPE_ANY)

        imgPommes = imgPommes.Mirror(horizontally=True)

        # A képek bitmap-be konvertálása a kiíratásukhoz
        bmpPommes   = wx.StaticBitmap(panel, wx.ID_ANY,
                                      wx.BitmapFromImage(imgPommes))
        bmpAbricots = wx.StaticBitmap(panel, wx.ID_ANY,
                                      wx.BitmapFromImage(imgAbricots))

        # A rajzzóna létrehozása
        monDessin = ZoneDessin(panel)

        sizer.Add(bmpPommes, pos=(0,0))
        sizer.Add(bmpAbricots, pos=(0,1))
        sizer.Add(monDessin, pos=(1,0), span=(1,2))

        sizer.AddGrowableCol(1)
        sizer.AddGrowableRow(1)

        panel.SetSizer(sizer)
        panel.Fit()
        self.Fit()

class ZoneDessin(wx.Panel):
    """ Rajzzóna """

    def __init__(self, parent):
        wx.Panel.__init__(self, parent, wx.ID_ANY, size=(510, 80))
        # Az EVT_PAINT esemény kinyerése
        wx.EVT_PAINT(self, self.OnDessiner)

    def OnDessiner(self, event=None):
        dc = wx.PaintDC(self)
        dc.Clear()
        # Az ecset színének és méretének definiálása
        dc.SetPen(wx.Pen("RED", 3))
        # A nyíl szárának kirajzolása
        dc.DrawLine(60, 50, 60, 7)
        # A nyíl hegyének kirajzolása
        dc.DrawPolygon([(55, 7),(65,7),(60,0)], fillStyle=wx.WINDING_RULE)
        dc.DrawText("az alma jó", 70, 20)

        dc.SetPen(wx.Pen("GREEN", 3))
        dc.DrawLine(495, 50, 495, 7)
        dc.DrawPolygon([(490, 7),(500,7),(495,0)], fillStyle=wx.WINDING_RULE)
        dc.DrawText("a barack a legjobb!", 300, 30)

if __name__ == "__main__":
    app = wx.PySimpleApp()
    frame = Fenetre("Képek")
    frame.Show()
    app.MainLoop()

