#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

class MainWindow(wx.Frame):
    """Ablak a Static Box sizer bemutatásához. """

    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, title=title, size=(300, 150))

        # Egy panel létrehozása
        self.panel = wx.Panel(self)

        # Egy static box és a vele járó sizer létrehozása
        groupe1 = wx.StaticBox(self.panel, wx.ID_ANY, "Groupe 1")
        sizerGrp1 = wx.StaticBoxSizer(groupe1, wx.VERTICAL)

        # Ugyanez a művelet: a második static box és a vele járó sizer létrehozása
        groupe2 = wx.StaticBox(self.panel, wx.ID_ANY, "Groupe 2")
        sizerGrp2 = wx.StaticBoxSizer(groupe2, wx.VERTICAL)

        # A gombok definíciója és hozzáadása a 2 static box sizer-hez
        for i in range(3):
            btn = wx.Button(self.panel, wx.ID_ANY, "Bouton %d" % (i+1))
            sizerGrp1.Add(btn, flag=wx.ALL, border=3)

        for i in range(3):
            btn = wx.Button(self.panel, wx.ID_ANY, "Action %d" % (i+1))
            sizerGrp2.Add(btn, flag=wx.ALL, border=3)

        # A befoglaló sizer létrehozása a 2 static box pozícionálásához
        sizer = wx.BoxSizer(wx.HORIZONTAL)
        sizer.Add(sizerGrp1, flag=wx.ALL, border=10)
        sizer.Add(sizerGrp2, flag=wx.ALL, border=10)

        # a sizer-t a panel-hez kapcsolja
        self.panel.SetSizer(sizer)

        # beállítja a sizer méretét
        sizer.Fit(self)

        # az ablak megjelenítése
        self.Show(True)

class MainApp(wx.App):
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('Static Box Sizer')
        self.SetTopWindow(frame)
        return True

if __name__ == "__main__":
    app = MainApp(redirect=False)
    app.MainLoop()

